Subject: Re: [PATCH net-next 0/3] bonding: support 802.1ad vlan protocol

From: Veaceslav Falico <[email-masked]>
Date: Wed, 12 Mar 2014 07:13:53 +0100

On Tue, Mar 11, 2014 at 11:43:39AM +0800, Ding Tianhong wrote:
>The bonding could only use vlan proto 802.1q regardless the vlan dev is
>802.1ad or 802.1q, so add new interface to get vlan proto by vlan dev and
>use it to send packages by correct vlan protocol.

It's not that easy. 802.1ad packets should be double-tagged, however you're
just changing the protocol (from 1q to 1ad) and tagging just once.

Have you actually tested this patchset, does it produce correct QinQ
packets?

>
>Ding Tianhong (3):
>  vlan: make a new function  vlan_dev_vlan_proto() and export
>  bonding: support different vlan proto for bond_arp_send()
>  bonding: choose the correct vlan proto for alb_send_learning_packets
>
> drivers/net/bonding/bond_alb.c  |  7 ++++---
> drivers/net/bonding/bond_main.c | 23 +++++++++++++++--------
> include/linux/if_vlan.h         |  7 +++++++
> net/8021q/vlan_core.c           |  6 ++++++
> 4 files changed, 32 insertions(+), 11 deletions(-)
>
>-- 
>1.8.0
>
>